StatsConfig (Oracle - Berkeley DB Java API)
Date: 2017-04-13

com.sleepycat.db

## Class StatsConfig

- java.lang.Object
- - com.sleepycat.db.StatsConfig

-     public class StatsConfig
      extends java.lang.Object

  Specifies the attributes of a statistics retrieval operation.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static StatsConfig` | `DEFAULT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatsConfig()` An instance created using the default constructor is initialized with the system's default settings.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getClear()` Return if the statistics operation is configured to reset statistics after they are returned.
    `boolean` | `getFast()` Return if the statistics operation is configured to return only the values which do not require expensive actions.
    `void` | `setClear(boolean clear)` Configure the statistics operation to reset statistics after they are returned.
    `void` | `setFast(boolean fast)` Configure the statistics operation to return only the values which do not incur some performance penalty.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT

          public static final StatsConfig DEFAULT

  - ### Constructor Detail

    - #### StatsConfig

          public StatsConfig()

      An instance created using the default constructor is initialized with the system's default settings.

  - ### Method Detail

    - #### setClear

          public void setClear(boolean clear)

      Configure the statistics operation to reset statistics after they are returned. The default value is false.

      Parameters:
        `clear` - If set to true, configure the statistics operation to reset statistics after they are returned.

    - #### getClear

          public boolean getClear()

      Return if the statistics operation is configured to reset statistics after they are returned.

      Returns:
        If the statistics operation is configured to reset statistics after they are returned.

    - #### setFast

          public void setFast(boolean fast)

      Configure the statistics operation to return only the values which do not incur some performance penalty.

      The default value is false.

      For example, skip stats that require a traversal of the database or in-memory tree, or which lock down the lock table for a period of time.

      Among other things, this flag makes it possible for applications to request key and record counts without incurring the performance penalty of traversing the entire database. If the underlying database is of type Recno, or of type Btree and the database was configured to support retrieval by record number, the count of keys will be exact. Otherwise, the count of keys will be the value saved the last time the database was traversed, or 0 if no count of keys has ever been made. If the underlying database is of type Recno, the count of data items will be exact, otherwise, the count of data items will be the value saved the last time the database was traversed, or 0 if no count of data items has ever been done.

      Parameters:
        `fast` - If set to true, configure the statistics operation to return only the values which do not incur some performance penalty.

    - #### getFast

          public boolean getFast()

      Return if the statistics operation is configured to return only the values which do not require expensive actions.

      Returns:
        If the statistics operation is configured to return only the values which do not require expensive actions.

Copyright (c) 1996, 2017 Oracle and/or its affiliates. All rights reserved.